Bug 164874 - [patch] unbreak devel/avr-gcc
[patch] unbreak devel/avr-gcc
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Joerg Wunsch
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-07 23:40 UTC by 4721
Modified: 2012-03-09 17:20 UTC (History)
0 users

See Also:


Attachments
file.txt (1.49 KB, text/plain)
2012-02-07 23:40 UTC, 4721
no flags Details
pr_164874_devel_avr-gcc.patch (2.33 KB, patch)
2012-02-25 11:06 UTC, scheidell
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description 4721 2012-02-07 23:40:10 UTC

Fix: patch fixes objdump usage, which resolves no plugin build/install on non-i386
and fixes packing list.


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-02-07 23:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->joerg

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 scheidell 2012-02-21 20:39:47 UTC
--ELM1329856787-86149-0_
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="US-ASCII"

Thought I would present this complete patch.
(bump portrevision since pkg-plist change)

portlints fine. added USE_GETTEXT=yes for completeness (it needs gettext anyway, via bison. , and keeps portlint happy)
Comment 3 scheidell freebsd_committer 2012-02-25 11:06:31 UTC
ping?  Do you have any problem having this latest patch committed?
-- 
Michael Scheidell, CTO
SECNAP Network Security Corporation
http://people.freebsd.org/~scheidell

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 4 scheidell freebsd_committer 2012-03-09 13:27:02 UTC
ping... just a reminder, I have tested this in 7,8,9, amd64 and i386 
tinderbox, compiles and builds fine, and submitter has tested the 
functionality.
8.3 rc1 is here, and we are in a ports (slush), but this should qualify 
for a Feature Safe tag.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 dfilter freebsd_committer 2012-03-09 17:14:24 UTC
joerg       2012-03-09 17:14:15 UTC

  FreeBSD ports repository

  Modified files:
    devel/avr-gcc        Makefile pkg-plist 
  Added files:
    devel/avr-gcc/files  patch-plugins 
  Log:
  Unbreak devel/avr-gcc:
  
  . fix pkg-plist
  . mention gettext prerequisite
  . use the correct objdump utility
  
  PR:             ports/164874
  Submitted by:   Michael Scheidell
  Approved by:    portmgr (erwin)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.77      +2 -1      ports/devel/avr-gcc/Makefile
  1.1       +18 -0     ports/devel/avr-gcc/files/patch-plugins (new)
  1.36      +1 -0      ports/devel/avr-gcc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Joerg Wunsch freebsd_committer 2012-03-09 17:16:50 UTC
State Changed
From-To: open->closed

Provided fix applied, thanks a lot!